Announcement Announcement Module
No announcement yet.
Errors occurred during the build. in GGTS 3.5.1. ASKING FOR HELP! Page Title Module
Move Remove Collapse
Conversation Detail Module
  • Filter
  • Time
  • Show
Clear All
new posts

  • Errors occurred during the build. in GGTS 3.5.1. ASKING FOR HELP!

    I am a beginner in Grails and I am working on GGTS. I download the latest version GGTS 3.5.1, and try to create my first grails project. But it keeps pop out this problem.

    Errors occurred during the build.
    Errors running builder 'Java Builder' on project 'demo'.
    org.codehaus.groovy.runtime.DefaultGroovyMethods.c ount(Ljava/lang/Iterable;Lgroovy/lang/ClosureLjava/lang/Number;

    Error detail:
    Problems occurred when invoking code from plug-in: "org.eclipse.core.resources".

    Exception stack trace:
    java.lang.NoSuchMethodError: org.codehaus.groovy.runtime.DefaultGroovyMethods.c ount(Ljava/lang/Iterable;Lgroovy/lang/ClosureLjava/lang/Number;
    at org.codehaus.groovy.grails.compiler.web.Controller ActionTransformer.processMethods(ControllerActionT
    at org.codehaus.groovy.grails.compiler.web.Controller ActionTransformer.performInjectionOnAnnotatedClass (
    at org.codehaus.groovy.grails.compiler.web.Controller ActionTransformer.performInjection(ControllerActio
    at org.codehaus.groovy.grails.compiler.injection.Grai
    at org.codehaus.groovy.control.CompilationUnit.applyT oPrimaryClassNodes(
    at org.codehaus.groovy.control.CompilationUnit.doPhas eOperation(
    at org.codehaus.groovy.control.CompilationUnit.proces sPhaseOperations(
    at org.codehaus.groovy.control.CompilationUnit.compil e(
    at org.codehaus.jdt.groovy.internal.compiler.ast.Groo vyCompilationUnitDeclaration.processToPhase(Groovy
    at org.codehaus.jdt.groovy.internal.compiler.ast.Groo vyCompilationUnitDeclaration.analyseCode(GroovyCom
    at org.eclipse.jdt.internal.compiler.Compiler.process (
    at org.eclipse.jdt.internal.compiler.ProcessTaskManag

    I searched the website and found many people got the same issue, but most of them of unsolved, or just ask for the latest version of GGTS. But I already download the 3.5.1 and my grails woks okay. So anyone has a clue of what the problem is or how to fix it, please give me some ideas. Thanks in advance.

  • #2
    What's are your Grails, Groovy and Java versions set in the preferences?